
Redmine - Defect #2311

r2097 breaks issues layout

2008-12-10 16:16 - Rodrigo Rosenfeld Rosas

Status: Closed Start date: 2008-12-10

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Since r2097 stylesheets/application.css change, the issues page is not rendered correctly when the content is too large. Before the

patch, the content had scrollbars.

Updating stylesheets/applications.css to r2046 (last change before r2097), the problem is gone.

Removing "overflow: auto" from #content was the cause of the problem.

Here is the suggested patch.

History

#1 - 2008-12-15 19:09 - Jean-Philippe Lang

I don't really see how r2097 can affect this. Can you provide an example please?

By the way, is it the issue list or the issue detail view that is affected?

#2 - 2008-12-16 02:35 - Rodrigo Rosenfeld Rosas

Jean-Philippe Lang wrote:

I don't really see how r2097 can affect this. Can you provide an example please?

By the way, is it the issue list or the issue detail view that is affected?

 The affected part that I noted was the tickets list when the table has lots of columns (fields). I've tested both in Opera and Firefox. The suggested

patch worked for me. I always use the svn last version on my production system, so I've noticed just after the r2097 commit. Applying the patch

solved for me.

Please, take a look at the above link for information about the overflow property and how it is related to scrolling:

http://www.w3.org/TR/CSS21/visufx.html#propdef-overflow

#3 - 2009-12-18 00:08 - Mischa The Evil

- Category changed from Issues to UI

- Status changed from New to Closed

- Priority changed from Urgent to Normal

- Resolution set to Fixed

Fixed in r3177.

Files

corrects-content-layout.patch 671 Bytes 2008-12-10 Rodrigo Rosenfeld Rosas
